OpenNMS API 1.2.9

## org.opennms.netmgt.notifd.mock
Class MockNotificationManager

    java.lang.Object
      org.opennms.netmgt.config.NotificationManager
          org.opennms.netmgt.notifd.mock.MockNotificationManager

public class MockNotificationManager
extends NotificationManager

Author:
  david TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private java.lang.String` `m_mgrString`

Fields inherited from class org.opennms.netmgt.config.NotificationManager
`m_notifications, PARAM_DESTINATION, PARAM_EMAIL, PARAM_INTERFACE, PARAM_NODE, PARAM_NUM_MSG, PARAM_NUM_PAGER_PIN, PARAM_PAGER_EMAIL, PARAM_RESPONSE, PARAM_SERVICE, PARAM_SUBJECT, PARAM_TEXT_MSG, PARAM_TEXT_PAGER_PIN, PARAM_TYPE, PARAM_XMPP_ADDRESS`

Constructor Summary
`MockNotificationManager(NotifdConfigManager configManager, DbConnectionFactory db, java.lang.String mgrString)`

Method Summary
`protected java.lang.String` `getInterfaceFilter(java.lang.String rule)`
`protected void` `saveXML(java.lang.String xmlString)`
`protected void` `update()`

Methods inherited from class org.opennms.netmgt.config.NotificationManager

`acknowledgeNotice, addNotification, forEachUserNotification, getActiveNodes, getConfigManager, getNoticeId, getNotifForEvent, getNotification, getNotificationNames, getNotifications, getQueueForNotification, getServiceNames, getServiceNoticeStatus, hasUei, insertNotice, noticeOutstanding, parseXML, rebuildParamterMap, removeNotification, replaceNotification, saveCurrent, updateNoticeWithUserInfo, updateStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_mgrString

    private java.lang.String m_mgrString

Constructor Detail

### MockNotificationManager

    public MockNotificationManager(NotifdConfigManager configManager,
                                   DbConnectionFactory db,
                                   java.lang.String mgrString)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

Method Detail

### saveXML

    protected void saveXML(java.lang.String xmlString)
                    throws java.io.IOException

  Specified by:
    `saveXML` in class `NotificationManager`
  Parameters:
    `xmlString` -
  Throws:
    `java.io.IOException`

### update

    protected void update()
                   throws java.io.IOException,
                          org.exolab.castor.xml.MarshalException,
                          org.exolab.castor.xml.ValidationException

  Specified by:
    `update` in class `NotificationManager`
  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getInterfaceFilter

    protected java.lang.String getInterfaceFilter(java.lang.String rule)

  Overrides:
    `getInterfaceFilter` in class `NotificationManager`
  Parameters:
    `rule` -
  Returns:

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.